- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiTestSolverInterface::OsiVolMatrixOneMinusOne_ Class Reference

List of all members.

## Public Member Functions
| OsiVolMatrixOneMinusOne_ (const CoinPackedMatrix &m)
| ~OsiVolMatrixOneMinusOne_ ()
void | timesMajor (const double *x, double *y) const
## Private Attributes
int | majorDim_
int | minorDim_
int | plusSize_
int * | plusInd_
int * | plusStart_
int * | plusLength_
int | minusSize_
int * | minusInd_
int * | minusStart_
int * | minusLength_

## Detailed Description

Definition at line 32 of file OsiTestSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::OsiVolMatrixOneMinusOne_ | ( | const CoinPackedMatrix & | m | ) |

OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::~OsiVolMatrixOneMinusOne_ | ( |  | ) |

## Member Function Documentation

void OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::timesMajor | ( | const double * | x,
|  | double * | y |
| ) |  |  | const

## Member Data Documentation

int OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::majorDim_`[private]`

Definition at line 33 of file OsiTestSolverInterface.hpp.

int OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::minorDim_`[private]`

Definition at line 34 of file OsiTestSolverInterface.hpp.

int OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::plusSize_`[private]`

Definition at line 36 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::plusInd_`[private]`

Definition at line 37 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::plusStart_`[private]`

Definition at line 38 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::plusLength_`[private]`

Definition at line 39 of file OsiTestSolverInterface.hpp.

int OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::minusSize_`[private]`

Definition at line 41 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::minusInd_`[private]`

Definition at line 42 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::minusStart_`[private]`

Definition at line 43 of file OsiTestSolverInterface.hpp.

int* OsiTestSolverInterface::OsiVolMatrixOneMinusOne_::minusLength_`[private]`

Definition at line 44 of file OsiTestSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.57.1/Osi/test/OsiTestSolverInterface.hpp